log4shib 2.0.0

Public Member Functions | List of all members
log4shib::threading::MSScopedLock Class Reference

A simple object wrapper around WaitForSingleObject() and ReleaseMutex() More...

`#include <MSThreads.hh>`

## Public Member Functions
| MSScopedLock (MSMutex &mutex)
| ~MSScopedLock ()

## Detailed Description

A simple object wrapper around WaitForSingleObject() and ReleaseMutex()

## Constructor & Destructor Documentation

## ◆ MSScopedLock()

log4shib::threading::MSScopedLock::MSScopedLock | ( | MSMutex & | mutex | ) |
| inline

## ◆ ~MSScopedLock()

log4shib::threading::MSScopedLock::~MSScopedLock | ( |  | ) |
| inline

The documentation for this class was generated from the following file:

- MSThreads.hh